%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{srcname}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name Jinja2
%global srcname jinja2

Name:           %{?scl_prefix}python-%{srcname}
Version:        3.1.3
Release:        1.0.5%{?dist}
Summary:        A very fast and expressive template engine

License:        BSD-3-Clause
URL:            https://palletsprojects.com/p/jinja/
Source0:        https://files.pythonhosted.org/packages/source/J/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Source1:        THIRD_PARTY_LICENSES
Patch1:         0001-CVE-2024-56201-valid_lt_v3.1.5.patch
Patch2:         0002-CVE-2025-27516-valid_lt_v3.1.6.patch
Patch3:         0003-CVE-2024-56326-valid-lt-v3.1.5.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}
Requires:       %{?scl_prefix}python%{python3_pkgversion}-markupsafe >= 2.0
Requires:       %{?scl_prefix}python%{python3_pkgversion}-setuptools


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{srcname}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{pypi_name}-%{version} -p 1
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}
# Add 3rd party licenses
%{__cp} %{SOURCE1} .


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{srcname}
%license LICENSE.rst THIRD_PARTY_LICENSES
%doc README.rst
%{python3_sitelib}/jinja2
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Thu May 29 2025 Rafael Barron <rafael.barron@oracle.com> - 3.1.3-1.0.5
- Apply patch for CVE-2024-56326 [JIRA: OLAM-823]

* Thu Mar 27 2025 Rafael Barron <rafael.barron@oracle.com> - 3.1.3-1.0.4
- Apply patch for CVE-2025-27516 [JIRA: OLAM-708]

* Fri Jan 31 2025 Rafael Barron <rafael.barron@oracle.com> - 3.1.3-1.0.3
- Apply patch for CVE-2024-56201 [JIRA: OLAM-683]

* Thu Jul 18 2024 Craig Guiller <craig.guiller@oracle.com> - 3.1.3-1.0.2
- Update to 3.1.3
- Rebuild with python 3.11

* Mon Jul 24 2023 Lans Hung <lans.hung@oracle.com> - 3.1.2-1.0.2
- Add 3rd party licenses

* Thu Feb 2 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 3.1.2-1.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-32]

* Tue Sep 20 2022 Odilon Sousa 3.1.2-1
- Update to 3.1.2

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 3.0.3-2
- Build against python 3.9

* Thu Feb 03 2022 Odilon Sousa <osousa@redhat.com> - 3.0.3-1
- Release python-jinja2 3.0.3

* Mon Nov 08 2021 Odilon Sousa <osousa@redhat.com> - 3.0.2-1
- Release python-jinja2 3.0.2

* Mon Sep 06 2021 Evgeni Golov - 2.11.3-2
- Build against Python 3.8

* Fri Mar 19 2021 Evgeni Golov 2.11.3-1
- Update to 2.11.3

* Tue Apr 14 2020 Evgeni Golov 2.11.2-1
- Update to 2.11.2

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 2.11.1-2
- Bump release to build for el8

* Wed Feb 05 2020 Evgeni Golov 2.11.1-1
- Update to 2.11.1

* Mon Nov 18 2019 Evgeni Golov - 2.10.3-1
- Initial package.
